Bug 1129288 - EAP fails to parse XML configuration if new Connection Definition is created without specifying Recovery Plugin Class Name
Summary: EAP fails to parse XML configuration if new Connection Definition is created ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: JON 3.4.0
Assignee: Michael Burman
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 13:56 UTC by Jan Bednarik
Modified: 2019-06-10 14:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 14:54:29 UTC
Type: Bug


Attachments (Terms of Use)
EAP's server.log (38.93 KB, text/x-log)
2014-08-12 13:56 UTC, Jan Bednarik
no flags Details

Description Jan Bednarik 2014-08-12 13:56:19 UTC
Created attachment 926076 [details]
EAP's server.log

Description of problem:
This bug was found while verifying BZ 1111243.

If new Connection Definition resource is created for Resource adapter and the "Recovery Plugin Class Name" property is left unset, the EAP server fails to reload. During booting it crashes on "JBAS014676: Failed to parse configuration" ... "ParseError at [row,col]:[356,33], Message: JBAS014724: Missing required attribute(s): class-name". 

On this line of "standalone.xml" configuration file the "<recover-plugin/>" tag can be found. If the "class-name" attribute (with arbitrary value) is manually added to the tag, the EAP server manages to start successfully.

It is also possible to fill this property right away using web UI when creating Connection Definition. The thing is that web UI only forces you to fill in "Class Name" property and nothing else.

Version-Release number of selected component (if applicable):
JON 3.3.0 DR01

How reproducible:
always

Steps to Reproduce:
1. Follow steps from https://bugzilla.redhat.com/show_bug.cgi?id=1111243#c3
2. After step 4 you will notice that EAP server fails to start.
3. Manually edit "standalon.xml" (or whichever configuration file your EAP uses) and add 'class-name="arbitrary-value"' to the '<recover-plugin/>' tag.
4. Start the EAP server (run standalone.sh) -> now it should work

Actual results:
EAP fails to reload.

Expected results:
Either the user should be forced to fill in the "Recovery Plugin Class Name" in web UI, or the EAP server should succeed in parsing the XML configuration file even if the "class-name" attribute in tag "<recover-plugin/>" is not specified.

Additional info:

see attached server.log - see line 400 and further

Comment 1 Michael Burman 2014-08-26 06:40:28 UTC
This bug is in the EAP, so targeting post-GA because it would probably need newer version of EAP.

Comment 3 Larry O'Leary 2015-01-05 23:06:38 UTC
This also must be addressed in the management plug-in. If EAP requires this property then it should be marked as required for resource creation/configuration update. If it is optional and EAP is incorrectly returning an error, then a BZ needs to be captured in JBoss EAP to get it fixed and the management plug-in needs to provide a reasonable default/appropriate value that will result in good configuration.

Comment 4 Filip Brychta 2019-06-10 14:54:29 UTC
JBoss ON is coming to the end of its product life cycle. For more information regarding this transition, see https://access.redhat.com/articles/3827121.
This bug report/request is being closed. If you feel this issue should not be closed or requires further review, please create a new bug report against the latest supported JBoss ON 3.3 version.


Note You need to log in before you can comment on or make changes to this bug.